Protocol error on Export against eDirectory 8.8 SP8

General Discussion about LDAP Administrator

Moderator: Support

Protocol error on Export against eDirectory 8.8 SP8

Postby infinity9999 » Tue May 06, 2014 9:36 pm

I know this topic has been been brought up back in 2006, but there was never really an answer from back then. We've been working fine for a while and then moved to eDirectory 8.8 SP8. What we've found is that in that upgrade, when using the LDAP Admin export function (based on laimex.exe), it's sending the ManageDsaIT control, but it seems to be sending a null value which isn't allowed by definition of the control. We've confirmed that the control is supported and usable on both eDirectory 8.8 SP7 and 8.8 SP8 using ldapsearch (which we can confirm doesn't send any control value), but when going against 8.8 SP7, LDAP Admin doesn't send that ManageDsaIT control, nor does it send it against AD. So it must have some sort of ability to note what version of LDAP server it's attaching to on the export. Doing a straight search in LDAP Admin doesn't send the control, and so searching and then saving the results works fine. Setting the profile setting to not send the ManageDsaIT control doesn't seem to have an effect on the export function (probably because it's calling laimex.exe). I didn't see any switches on the laimex help that indicated that you could prevent that control from getting sent. Is there any way to get around this? It seems to be a limitation of laimex.exe, not necessarily with LDAP Admin as a whole.
infinity9999
 
Posts: 4
Joined: Wed Apr 23, 2014 3:06 pm

Re: Protocol error on Export against eDirectory 8.8 SP8

Postby Support » Mon May 19, 2014 12:07 pm

Hello.
What version of LDAP Administrator do you use?
We are going to release a new build of LDAP Administrator 2014.1 with the fix in a couple of days.
Support
 
Posts: 884
Joined: Sun Aug 12, 2001 12:00 am

Re: Protocol error on Export against eDirectory 8.8 SP8

Postby infinity9999 » Mon May 19, 2014 1:40 pm

Hello.
What version of LDAP Administrator do you use?
We are going to release a new build of LDAP Administrator 2014.1 with the fix in a couple of days.


I'm currently using 2014.1 in trial mode, but it fails against 2010.1, 2011.1 and 2013.1 as well. If there's a fix coming in an update for 2014.1, that would be great.
infinity9999
 
Posts: 4
Joined: Wed Apr 23, 2014 3:06 pm

Re: Protocol error on Export against eDirectory 8.8 SP8

Postby infinity9999 » Mon May 19, 2014 3:27 pm

I'll also throw out there that I discovered that laimex.exe will work fine if you run it manually from the command line, plus the Export function will work from the GUI if you don't authenticate to the profile connection first (downside of that is that you're stuck searching from the RootDSE). But to me that seems to indicate something that's getting passed to laimex as a result of the initial search that happens when you bind to the profile connection.
infinity9999
 
Posts: 4
Joined: Wed Apr 23, 2014 3:06 pm

Re: Protocol error on Export against eDirectory 8.8 SP8

Postby Support » Mon May 26, 2014 3:28 pm

Hi.
Please try the new build (build number - 4.11.14422) of LDAP Administrator 2014.1 from our site.
Support
 
Posts: 884
Joined: Sun Aug 12, 2001 12:00 am

Re: Protocol error on Export against eDirectory 8.8 SP8

Postby infinity9999 » Mon Jun 02, 2014 6:31 pm

I did download the latest version that you indicated to test it out and it does seem to work correctly now. Thanks for the quick turnaround on a fix for that!
infinity9999
 
Posts: 4
Joined: Wed Apr 23, 2014 3:06 pm


Return to General Discussion

Who is online

Users browsing this forum: No registered users and 2 guests